<?php

namespace App\Controller;

use Doctrine\Persistence\ManagerRegistry;
use Symfony\Bundle\FrameworkBundle\Controller\AbstractController;
use Symfony\Component\HttpFoundation\Response;
use Symfony\Component\Routing\Annotation\Route;
use App\Entity\Etablissement;


class EtablissementsController extends AbstractController
{
    /**
     * @Route("/etablissements/{name}", defaults={"name" = "departement"})
     */
    public function index($name, ManagerRegistry $doctrine): Response
    {
        $lien = null;
        $nom = null;
        $donnes = null;
        if($name == "departement"){
            $lien = "etablissements/departement.html.twig";
            $nom = "Etablissements";
            $donnes = $doctrine->getRepository(Etablissement::class)->findAll();
        }else if($name == "academie"){
            $lien = "etablissements/academie.html.twig";
            $nom = "Academie";
            $donnes = $doctrine->getRepository(Etablissement::class)->findAll();
        }else if($name == "commune"){
            $lien = "etablissements/commune.html.twig";
            $nom = "Commune";
            $donnes = $doctrine->getRepository(Etablissement::class)->findAll();
        }else if($name == "region"){
            $lien = "etablissements/region.html.twig";
            $nom = "Région";
            $donnes = $doctrine->getRepository(Etablissement::class)->findAll();
        }else{
            $lien = "etablissements/departement.html.twig";
            $nom = "Departement";
            $donnes = $doctrine->getRepository(Etablissement::class)->findAll();
        }

        return $this->render($lien, ['nom' => $nom, 'donnes' => $donnes],);
    }
}
